## ros-indigo-universal-robot 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(universal_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-universal-robot (1.1.11-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-universal-robot (1.1.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-indigo-universal-robot (1.1.9-0trusty) trusty; urgency=high

  * No changes.

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-indigo-universal-robot (1.1.8-0trusty) trusty; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-indigo-universal-robot (1.1.7-0trusty) trusty; urgency=high

  * No changes.

 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-indigo-universal-robot (1.1.6-0trusty) trusty; urgency=high

  * add moveit_config for ur3
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-universal-robot (1.0.2-0trusty) trusty; urgency=high

  * Merge branch 'hydro-devel' of github.com:ros-industrial/universal_robot into hydro
  * added missing dependency
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-universal-robot (1.0.1-0trusty) trusty; urgency=high

  * Added all packages in dependency list of metapackage.
  * Updated to catkin.  ur_driver's files were added to nested Python directory for including in other packages.
  * Contributors: IPR-SR2, Kelsey

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-universal-robot
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/universal_robot
Standards-Version: 3.9.2

Package: ros-indigo-universal-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ur-bringup, ros-indigo-ur-description, ros-indigo-ur-driver, ros-indigo-ur-gazebo, ros-indigo-ur-kinematics, ros-indigo-ur-msgs, ros-indigo-ur10-moveit-config, ros-indigo-ur3-moveit-config, ros-indigo-ur5-moveit-config
Description: Drivers, description, and utilities for Universal Robot Arms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-universal-robot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
